Maton

Get Version

GET/functions/{function_id}/versions/{version}

Authorization

bearerAuth
AuthorizationBearer <token>

Your Maton API key, sent as Authorization: Bearer <MATON_API_KEY>. Create one at https://maton.ai/settings.

In: header

Path Parameters

function_id*string

The function's unique identifier.

version*integer

The version number.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET \  "https://api.maton.ai/functions/{function_id}/versions/2" \  -H "Authorization: Bearer $MATON_API_KEY"
{
  "version": 3,
  "code_size": 412,
  "runtime": "python3.12",
  "created_at": "2026-08-31T22:40:15.883210Z",
  "code_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
  "handler": "main.handler"
}
{
  "message": "Invalid app name.",
  "type": "Bad Request",
  "code": 400
}
{
  "message": "Invalid API key.",
  "type": "Unauthorized",
  "code": 401
}
{
  "message": "Resource not found.",
  "type": "Not Found",
  "code": 404
}
{
  "message": "Too many requests.",
  "type": "Too Many Requests",
  "code": 429
}
{
  "message": "Internal server error.",
  "type": "Internal Server Error",
  "code": 500
}